ELFormTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.html
Class ELFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.FormTag
              org.apache.strutsel.taglib.html.ELFormTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag

    public class ELFormTag

extends FormTag

Custom tag that represents an input form, associated with a bean whose properties correspond to the various fields of the form.

This class is a subclass of the class `org.apache.struts.taglib.html.FormTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 479635 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.FormTag
`acceptCharset, action, beanName, beanScope, beanType, enctype, focus, focusIndex, lineEnd, mapping, messages, method, moduleConfig, onreset, onsubmit, readonly, scriptLanguage, servlet, style, styleClass, styleId, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELFormTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getAcceptCharsetExpr()` Getter method for "acceptCharset" tag attribute.
`String` | `getActionExpr()` Getter method for "action" tag attribute.
`String` | `getDirExpr()` Getter method for "dir" tag attribute.
`String` | `getDisabledExpr()` Getter method for "disabled" tag attribute.
`String` | `getEnctypeExpr()` Getter method for "enctype" tag attribute.
`String` | `getFocusExpr()` Getter method for "focus" tag attribute.
`String` | `getFocusIndexExpr()` Getter method for "focusIndex" tag attribute.
`String` | `getLangExpr()` Getter method for "lang" tag attribute.
`String` | `getMethodExpr()` Getter method for "method" tag attribute.
`String` | `getOnresetExpr()` Getter method for "onreset" tag attribute.
`String` | `getOnsubmitExpr()` Getter method for "onsubmit" tag attribute.
`String` | `getReadonlyExpr()` Getter method for "readonly" tag attribute.
`String` | `getScriptLanguageExpr()` Getter method for "scriptLanguage" tag attribute.
`String` | `getStyleClassExpr()` Getter method for "styleClass" tag attribute.
`String` | `getStyleExpr()` Getter method for "style" tag attribute.
`String` | `getStyleIdExpr()` Getter method for "styleId" tag attribute.
`String` | `getTargetExpr()` Getter method for "target" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setAcceptCharsetExpr(String acceptCharsetExpr)` Setter method for "acceptCharset" tag attribute.
`void` | `setActionExpr(String actionExpr)` Setter method for "action" tag attribute.
`void` | `setDirExpr(String dirExpr)` Setter method for "dir" tag attribute.
`void` | `setDisabledExpr(String disabledExpr)` Setter method for "disabled" tag attribute.
`void` | `setEnctypeExpr(String enctypeExpr)` Setter method for "enctype" tag attribute.
`void` | `setFocusExpr(String focusExpr)` Setter method for "focus" tag attribute.
`void` | `setFocusIndexExpr(String focusIndexExpr)` Setter method for "focusIndex" tag attribute.
`void` | `setLangExpr(String langExpr)` Setter method for "lang" tag attribute.
`void` | `setMethodExpr(String methodExpr)` Setter method for "method" tag attribute.
`void` | `setOnresetExpr(String onresetExpr)` Setter method for "onreset" tag attribute.
`void` | `setOnsubmitExpr(String onsubmitExpr)` Setter method for "onsubmit" tag attribute.
`void` | `setReadonlyExpr(String readonlyExpr)` Setter method for "readonly" tag attribute.
`void` | `setScriptLanguageExpr(String scriptLanguageExpr)` Setter method for "scriptLanguage" tag attribute.
`void` | `setStyleClassExpr(String styleClassExpr)` Setter method for "styleClass" tag attribute.
`void` | `setStyleExpr(String styleExpr)` Setter method for "style" tag attribute.
`void` | `setStyleIdExpr(String styleIdExpr)` Setter method for "styleId" tag attribute.
`void` | `setTargetExpr(String targetExpr)` Setter method for "target" tag attribute.

Methods inherited from class org.apache.struts.taglib.html.FormTag
`doEndTag, getAcceptCharset, getAction, getAutocomplete, getBeanName, getDir, getEnctype, getFocus, getFocusIndex, getLang, getMethod, getOnreset, getOnsubmit, getScriptLanguage, getStyle, getStyleClass, getStyleId, getTarget, initFormBean, isDisabled, isReadonly, lookup, renderAction, renderAttribute, renderFocusJavascript, renderFormStartElement, renderName, renderOtherAttributes, renderToken, setAcceptCharset, setAction, setAutocomplete, setDir, setDisabled, setEnctype, setFocus, setFocusIndex, setLang, setMethod, setOnreset, setOnsubmit, setReadonly, setScriptLanguage, setStyle, setStyleClass, setStyleId, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELFormTag

    public ELFormTag()

Method Detail

### getActionExpr

    public String getActionExpr()

  Getter method for "action" tag attribute. (Mapping set in associated BeanInfo class.)

### getDirExpr

    public String getDirExpr()

  Getter method for "dir" tag attribute. (Mapping set in associated BeanInfo class.)

### getDisabledExpr

    public String getDisabledExpr()

  Getter method for "disabled" tag attribute. (Mapping set in associated BeanInfo class.)

### getEnctypeExpr

    public String getEnctypeExpr()

  Getter method for "enctype" tag attribute. (Mapping set in associated BeanInfo class.)

### getFocusExpr

    public String getFocusExpr()

  Getter method for "focus" tag attribute. (Mapping set in associated BeanInfo class.)

### getFocusIndexExpr

    public String getFocusIndexExpr()

  Getter method for "focusIndex" tag attribute. (Mapping set in associated BeanInfo class.)

### getLangExpr

    public String getLangExpr()

  Getter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### getMethodExpr

    public String getMethodExpr()

  Getter method for "method" tag attribute. (Mapping set in associated BeanInfo class.)

### getOnresetExpr

    public String getOnresetExpr()

  Getter method for "onreset" tag attribute. (Mapping set in associated BeanInfo class.)

### getOnsubmitExpr

    public String getOnsubmitExpr()

  Getter method for "onsubmit" tag attribute. (Mapping set in associated BeanInfo class.)

### getReadonlyExpr

    public String getReadonlyExpr()

  Getter method for "readonly" tag attribute. (Mapping set in associated BeanInfo class.)

### getScriptLanguageExpr

    public String getScriptLanguageExpr()

  Getter method for "scriptLanguage" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleExpr

    public String getStyleExpr()

  Getter method for "style" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleClassExpr

    public String getStyleClassExpr()

  Getter method for "styleClass" tag attribute. (Mapping set in associated BeanInfo class.)

### getStyleIdExpr

    public String getStyleIdExpr()

  Getter method for "styleId" tag attribute. (Mapping set in associated BeanInfo class.)

### getTargetExpr

    public String getTargetExpr()

  Getter method for "target" tag attribute. (Mapping set in associated BeanInfo class.)

### getAcceptCharsetExpr

    public String getAcceptCharsetExpr()

  Getter method for "acceptCharset" tag attribute. (Mapping set in associated BeanInfo class.)

### setActionExpr

    public void setActionExpr(String actionExpr)

  Setter method for "action" tag attribute. (Mapping set in associated BeanInfo class.)

### setDirExpr

    public void setDirExpr(String dirExpr)

  Setter method for "dir" tag attribute. (Mapping set in associated BeanInfo class.)

### setDisabledExpr

    public void setDisabledExpr(String disabledExpr)

  Setter method for "disabled" tag attribute. (Mapping set in associated BeanInfo class.)

### setEnctypeExpr

    public void setEnctypeExpr(String enctypeExpr)

  Setter method for "enctype" tag attribute. (Mapping set in associated BeanInfo class.)

### setFocusExpr

    public void setFocusExpr(String focusExpr)

  Setter method for "focus" tag attribute. (Mapping set in associated BeanInfo class.)

### setFocusIndexExpr

    public void setFocusIndexExpr(String focusIndexExpr)

  Setter method for "focusIndex" tag attribute. (Mapping set in associated BeanInfo class.)

### setLangExpr

    public void setLangExpr(String langExpr)

  Setter method for "lang" tag attribute. (Mapping set in associated BeanInfo class.)

### setMethodExpr

    public void setMethodExpr(String methodExpr)

  Setter method for "method" tag attribute. (Mapping set in associated BeanInfo class.)

### setOnresetExpr

    public void setOnresetExpr(String onresetExpr)

  Setter method for "onreset" tag attribute. (Mapping set in associated BeanInfo class.)

### setOnsubmitExpr

    public void setOnsubmitExpr(String onsubmitExpr)

  Setter method for "onsubmit" tag attribute. (Mapping set in associated BeanInfo class.)

### setReadonlyExpr

    public void setReadonlyExpr(String readonlyExpr)

  Setter method for "readonly" tag attribute. (Mapping set in associated BeanInfo class.)

### setScriptLanguageExpr

    public void setScriptLanguageExpr(String scriptLanguageExpr)

  Setter method for "scriptLanguage" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleExpr

    public void setStyleExpr(String styleExpr)

  Setter method for "style" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleClassExpr

    public void setStyleClassExpr(String styleClassExpr)

  Setter method for "styleClass" tag attribute. (Mapping set in associated BeanInfo class.)

### setStyleIdExpr

    public void setStyleIdExpr(String styleIdExpr)

  Setter method for "styleId" tag attribute. (Mapping set in associated BeanInfo class.)

### setTargetExpr

    public void setTargetExpr(String targetExpr)

  Setter method for "target" tag attribute. (Mapping set in associated BeanInfo class.)

### setAcceptCharsetExpr

    public void setAcceptCharsetExpr(String acceptCharsetExpr)

  Setter method for "acceptCharset" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `FormTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `FormTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.